Debian Bug report logs - #724978
ITP: python-mockito -- spying (testing) framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Mon, 30 Sep 2013 07:21:02 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version python-mockito/0.5.2-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#724978; Package wnpp. (Mon, 30 Sep 2013 07:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 30 Sep 2013 07:21:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-mockito -- spying (testing) framework
Date: Mon, 30 Sep 2013 15:16:44 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : python-mockito
  Version         : 0.5.1
  Upstream Author : Mockito maintainers
* URL             : https://pypi.python.org/pypi/mockito
* License         : MIT
  Programming Lang: Python
  Description     : spying (testing) framework

 Mockito is a testing framework. The framework allows the creation of Test
 Double objects (called "Mock Objects") in automated unit tests for the purpose
 of Test-driven Development (TDD) or Behavior Driven Development (BDD).
 .
 Python Mockito is a spying framework based on Java library with the same name.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Goirand <zigo@debian.org>:
Bug#724978; Package wnpp. (Mon, 30 Sep 2013 10:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Goirand <zigo@debian.org>. (Mon, 30 Sep 2013 10:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 724978@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-devel@lists.debian.org, 724978@bugs.debian.org
Subject: Re: Bug#724978: ITP: python-mockito -- spying (testing) framework
Date: Mon, 30 Sep 2013 12:19:04 +0200
[Message part 1 (text/plain, inline)]
Hi Thomas,

On Montag, 30. September 2013, Thomas Goirand wrote:
>   Description     : spying (testing) framework
> 
>  Mockito is a testing framework. The framework allows the creation of Test
>  Double objects (called "Mock Objects") in automated unit tests for the
> purpose of Test-driven Development (TDD) or Behavior Driven Development
> (BDD). .
>  Python Mockito is a spying framework based on Java library with the same
> name.

what does "spying" mean here? It's part of the short description also, so it 
seems to be important...


cheers,
	Holger

[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 30 Sep 2013 20:09:10 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sat, 23 Nov 2013 13:03:12 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 13:03:13 GMT) Full text and rfc822 format available.

Message #17 received at 724978-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 724978-close@bugs.debian.org
Subject: Bug#724978: fixed in python-mockito 0.5.2-1
Date: Sat, 23 Nov 2013 13:00:08 +0000
Source: python-mockito
Source-Version: 0.5.2-1

We believe that the bug you reported is fixed in the latest version of
python-mockito, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 724978@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-mockito package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 30 Sep 2013 15:02:06 +0800
Source: python-mockito
Binary: python-mockito python3-mockito
Architecture: source all
Version: 0.5.2-1
Distribution: unstable
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-mockito - spying (testing) framework - Python 2.x
 python3-mockito - spying (testing) framework - Python 3.x
Closes: 724978
Changes: 
 python-mockito (0.5.2-1) unstable; urgency=low
 .
   * Initial release. (Closes: #724978)
Checksums-Sha1: 
 c4112942ae4f053fa028064b800ae5ddb9005ba4 2218 python-mockito_0.5.2-1.dsc
 1a0cba64399479809457a28e2d1ce151039ddf40 18681 python-mockito_0.5.2.orig.tar.gz
 882b476c4f2894684c9057668c227fb83228c1a1 2334 python-mockito_0.5.2-1.debian.tar.gz
 1ef266f84591ba7f3b4c147d2477224d53694211 18514 python-mockito_0.5.2-1_all.deb
 7505f7caf0913676699f5e04fffd765353e5c14c 18016 python3-mockito_0.5.2-1_all.deb
Checksums-Sha256: 
 5b875936eb126cb351a2b5cea96514ee340c15245d4c847dcc9897ee2da8f91e 2218 python-mockito_0.5.2-1.dsc
 c0e363716a348fb99f185401733313ac041475b75d79110705df71029d418fbe 18681 python-mockito_0.5.2.orig.tar.gz
 9e4ac7059a8379ef562ce9b8138aee36668211a77b74426000cb33573f3fae59 2334 python-mockito_0.5.2-1.debian.tar.gz
 67d1adfa04f006029831c399b6a04710782986555316f9af03245bf93a70a0e0 18514 python-mockito_0.5.2-1_all.deb
 418f5b151a71190d3b7291245b5cb87bebcf13a9a3c97b9290dcb15d71f14702 18016 python3-mockito_0.5.2-1_all.deb
Files: 
 40e3ab139da5f86ba29448a9f53acf90 2218 python optional python-mockito_0.5.2-1.dsc
 b18d93fe67bb8fa1de6bb9d2b519df70 18681 python optional python-mockito_0.5.2.orig.tar.gz
 5dc4bbe7364a6cbe196242ea4a95cc33 2334 python optional python-mockito_0.5.2-1.debian.tar.gz
 967974cdd258f204536120101e878779 18514 python optional python-mockito_0.5.2-1_all.deb
 1e03c5e9b38a3bce676a85bdf335b1ec 18016 python optional python3-mockito_0.5.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSZW3hAAoJENQWrRWsa0P+weAP/RmpVI9CuhrzM5KOTkY0d+qx
8VSDBISPXNEKtg1M68rrUh7OxPfUWz2czdZJyEzg2FIBJ6CerSpdCxwaSkXCvnbc
LEce8VDul8soT70vPzJYtlK3GwXiXIp7GgzEBd0/IjqVy79NBKzl1n1jT1Wz30Xf
p606nRohuBrIItBFW3a6dH41OJa88M8dLWM2y//veOThBsN/sglevMvtpOIGslUV
bXw0oWz/RFtoo2JFYz0FLzDBc+o1BXjfH0kUDMgoT1vAuLa9hTolWY4Cf2pm2be1
ZBqSyud4+zPSG8PRPW5D/TD1YQaG4YgiTnoZYtYzFUoYNL4Ozl55bSHQl133XzDf
a/Q7n+W90172myEdwgu9aNaF7TYD9W1GiTCE0e+wd1AweR3vtAT5UUtzq9PDyTex
7Cdz0SVKfe7OKoXuyvO615CWtcFp5vk2NHfIDWvVHQgNarqzzENyoHmWw5wUXUPE
i3Mzv51J1bTcItYbfY86r3fH0Xw1vyixLuPenQ3gMsBDkhHbxSKIeDwX/NFvgtoS
oGBGX+2JJVxWAgKCmw2QgJfoLkwR6V8/CNe34Qa/2t2QYCKvvGx5t1YHEkzRKTiQ
5Q+eFZWiDbnCWDYHBoXFSvqHS4vBly2anGdLgOcPHRKIWepLQQZhv52iBxkxyNB3
sQLGvPB+QkI5vWxqzhtE
=D5Bt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 22 Dec 2013 07:30:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:23:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.